Bug 627039 - Incorrect handling of password expiration
Incorrect handling of password expiration
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: krb5 (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Nalin Dahyabhai
BaseOS QE Security Team
:
Depends On: 627022
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-24 18:10 EDT by Nalin Dahyabhai
Modified: 2011-05-19 09:11 EDT (History)
4 users (show)

See Also:
Fixed In Version: krb5-1.9-1.el6
Doc Type: Bug Fix
Doc Text:
This field is the basis of the errata or release note for this bug. It can also be used for change logs. The Technical Note template, known as CCFR, is as follows: Cause When reading a principal entry from a directory server, the LDAP kdb plugin would fail to correctly heed of an explicit password expiration time stored in the principal entry. Consequence If a password lifetime was set as part of a password aging policy which applied to the entry, then any password expiration time stored in the principal entry itself would be ignored in favor of the value calculated based on policy's password lifetime and the date the entry's password was last changed.
Story Points: ---
Clone Of: 627022
Environment:
Last Closed: 2011-05-19 09:11:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2010-08-24 18:10:41 EDT
+++ This bug was initially created as a clone of Bug #627022 +++

Description of problem:

There are two occurences of this line in src/plugins/kdb/ldap/libkdb_ldap/ldap_misc.c lines 2085 and 2142:

    if ((mask & KDB_PRINC_EXPIRE_TIME_ATTR) == 1) {

KDB_PRINC_EXPIRE_TIME_ATTR is defined as 0x80, it will never == 1.

This is causing the krbPwdExpiration attribute to be ignored.

Version-Release number of selected component (if applicable):

krb5-server-1.8.2-3.fc14.x86_64
Comment 7 Florian Nadge 2011-05-07 05:34:49 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
This field is the basis of the errata or release note for this bug. It can also be used for change logs.

The Technical Note template, known as CCFR, is as follows:

Cause
    What actions or circumstances cause this bug to present.
Consequence
    What happens when the bug presents.
Fix
    What was done to fix the bug.
Comment 8 Nalin Dahyabhai 2011-05-09 17:51:15 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -3,8 +3,6 @@
 The Technical Note template, known as CCFR, is as follows:
 
 Cause
-    What actions or circumstances cause this bug to present.
+    When reading a principal entry from a directory server, the LDAP kdb plugin would fail to correctly heed of an explicit password expiration time stored in the principal entry.
 Consequence
-    What happens when the bug presents.
+    If a password lifetime was set as part of a password aging policy which applied to the entry, then any password expiration time stored in the principal entry itself would be ignored in favor of the value calculated based on policy's password lifetime and the date the entry's password was last changed.-Fix
-    What was done to fix the bug.
Comment 9 errata-xmlrpc 2011-05-19 09:11:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0571.html

Note You need to log in before you can comment on or make changes to this bug.